## audtty 0.1.9a

=== Makefile ===
# audtty
#
# A fork of xmms-curses

DESTDIR=
# autoconf is dumb.
prefix=${DESTDIR}
exec_prefix=/usr/local
bindir=${exec_prefix}/bin
mandir=/usr/local/share/man/man1
sysconfdir=${prefix}/etc

AUDACIOUS_CFLAGS=-I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/pango-1.0 -I/usr/include/libmowgli -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/freetype2 -I/usr/include/libpng12   -I/usr/include/dbus-1.0

SOURCES=main.c curses_printf.c playlist.c playlist_jump.c playlist_addurl.c settings.c connect.c browse.c
BINS=$(SOURCES:.c=.o)

default: all
build: audtty
all: audtty

audtty: ${BINS}
	cc -Wall -lncurses -laudclient ${LDFLAGS} -o audtty $(BINS)

.c.o:
	cc -Wall ${AUDACIOUS_CFLAGS} ${CFLAGS} -o $@ -c $<

install: audtty
	mkdir -p ${bindir}
	install -m 0755 audtty ${bindir}/audtty
	mkdir -p ${mandir}
	install -m 0644 audtty.1 ${mandir}/audtty.1
	mkdir -p ${sysconfdir}
	install -m 0644 audtty.conf ${sysconfdir}/audtty.conf

uninstall:
	rm ${bindir}/audtty || false
	rm ${mandir}/audtty.1 || false
	rm ${sysconfdir}/audtty.conf || false

clean:
	rm -f audtty *.o

distclean: clean
	rm -f Makefile config.h config.status config.log configure

## audtty 0.1.11

=== debian/changelog ===
audtty (0.1.11-4) unstable; urgency=low

  * Don't use quilt in debian/rules.
  * Use system config.{sub,guess}.
  * Update debian/copyright.

 -- Chris Taylor <ctaylor@debian.org>  Sun, 20 Dec 2009 23:41:28 -0700

audtty (0.1.11-3) unstable; urgency=low

  * Use minimal dh7 instead of cdbs and remove cdbs depends.
  * Update my email address.
  * Update debian/copyright.
  * Update depends. 
    - Build-depend on audacious-dev (>= 2).
    - Depend on libaudclient2.
    - Build-depend on debhelper (>= 7.0.50~).

 -- Chris Taylor <ctaylor@debian.org>  Mon, 07 Dec 2009 01:00:40 +0000

audtty (0.1.11-2) unstable; urgency=low

  * Use source format 3.0 (quilt). 
  * Fix building with binutils-gold in patch 01-binutils (Closes: #553936).

 -- Chris Taylor <chris@code-monkeys.org>  Tue, 03 Nov 2009 01:57:35 +0000

audtty (0.1.11-1) unstable; urgency=low

  * New upstream release.
  * Update watch file with current upstream address.
  * Bump standards-version in debian/control.
  * Update Vcs-Browser in debian/control.
  * Add debian/README.source.

 -- Chris Taylor <chris@code-monkeys.org>  Tue, 18 Aug 2009 17:11:45 +0000

audtty (0.1.10-1) unstable; urgency=low

  * New upstream release.
  * Remove patch 01-Manpage as it was merged upstream.
  * Change libncurses-dev dependency to libncursesw5-dev to reflect upstream
    change.
  * Update Vcs-Browser and Vcs-git in debian/control.
  * Update debian/copyright to reflect year change.
  * Add versioned Build-Depends on audacious-dev to reflect upstream change.
  * Upstream patched manpage to list OPTIONS in alphabetical order and to
    add a simple player control ASCII graphic. (Closes: #516103, #516108).
  * Fixed copyright symbols in debian/copyright.
  * Added patch description to patch 00-Makefile.

 -- Chris Taylor <chris@code-monkeys.org>  Mon, 01 Jun 2009 21:17:14 +0000

audtty (0.1.9a-2) unstable; urgency=low

  * Bump standards-version in order to fix lintian warning.
  * Fix quilt patches to support source format 3.0. (Closes: #485340) 

 -- Chris Taylor <chris@code-monkeys.org>  Mon, 21 Jul 2008 03:20:44 +0000

audtty (0.1.9a-1) unstable; urgency=low

  * New upstream release.
  * Added depends on dbus-x11.

 -- Chris Taylor <chris@code-monkeys.org>  Fri, 06 Jun 2008 23:00:58 +0000

audtty (0.1.8-2) unstable; urgency=low

  * Fix bug in handling of URI's in 02-FixURI.
  * Backport DBUS handling code from Audtty GIT in 03-DBUS.

 -- Chris Taylor <chris@code-monkeys.org>  Fri, 04 Apr 2008 07:13:45 +0000

audtty (0.1.8-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-Version in debian/control.
  * Patched Makefile.in in 00-Makefile to support Debian packaging.
  * Added watch file.

 -- Chris Taylor <chris@code-monkeys.org>  Tue, 05 Feb 2008 21:09:53 +0000

audtty (0.1.6a-1) unstable; urgency=low

  * Patched libraries in 00-Makefile. Also fix prefix for config.
  * Backported dbus error handling in 01-Dbus. 
  * New upstream version.

 -- Chris Taylor <chris@code-monkeys.org>  Sat, 24 Nov 2007 14:44:32 +0100
 

audtty (0.1.5a-2) unstable; urgency=low

  * Fixed FTBFS (Closes: #450444)
    -Added patch 03-audctrl
  * Removed watch file as upstream seems to be dead. (Closes: #449947)
  * Changed debian/control file to use the new Homepage field.

 -- Chris Taylor <chris@code-monkeys.org>  Wed, 07 Nov 2007 19:11:21 +0100
 

audtty (0.1.5a-1) unstable; urgency=low

  * Patched makefile because upstream version ignored DESTDIR
  * Initial release (Closes: #437368)

 -- Chris Taylor <chris@code-monkeys.org>  Tue, 16 Aug 2007 16:49:30 +0200

=== debian/control ===
Source: audtty
Section: sound
Priority: optional
Maintainer: Chris Taylor <ctaylor@debian.org> 
Homepage: http://audtty.alioth.debian.org
Vcs-Git: git://git.code-monkeys.org/audtty.git
Vcs-Browser: http://git.code-monkeys.org/cgit.cgi/audtty.git/
Build-Depends: debhelper (>= 7.0.50~), audacious-dev (>= 2), libncursesw5-dev, 
		libdbus-1-dev, autoconf, quilt
Standards-Version: 3.8.3

Package: audtty
Architecture: any
Depends: ${shlibs:Depends},${misc:Depends},libaudclient2,audacious,dbus-x11
Description: ncurses based frontend to audacious
 Audtty is an ncurses based terminal frontend to the Audacious
 Media Player. It is a fork of xmms-curses and is designed to be
 lightweight and intuitive to use.
 .
 Audtty makes it easy to control the Audacious Media Player from
 the command line whether locally or remotely.

## audtty 0.1.12

=== debian/changelog ===
audtty (0.1.12-4ubuntu2) xenial; urgency=medium

  * No-change rebuild for ncurses6 transition.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Feb 2016 09:52:17 +0000

audtty (0.1.12-4ubuntu1) utopic; urgency=medium

  * debian/control:
    - Change the build-dependency to libaudclient, as it has been removed from
      audacious 3.5 and is a separate package now
  * debian/patches/03-libaudclient_dep:
    - Use the audclient library instead of audacious

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@canonical.com>  Mon, 14 Jul 2014 12:47:34 +0200

audtty (0.1.12-4) unstable; urgency=low

  * Fix amd64 build-failure, patch from Peter Michael Green. (Closes: #713688)
  * Bump standards-version.

 -- Chris Taylor <ctaylor@debian.org>  Thu, 24 Oct 2013 19:03:33 +0000

audtty (0.1.12-3) unstable; urgency=low

  * Bump compat to 9.
  * Include patch 02-glib_include_link from Peter Green. (Closes: #658589) 
  * Include updated patch from Andreas Moog. (Closes: #649207).
    - Also remove exports from debian/rules to support this.
  * Bump build-dep on debhelper.

 -- Chris Taylor <ctaylor@debian.org>  Fri, 17 Feb 2012 09:58:47 -0800

audtty (0.1.12-2) unstable; urgency=low

  * Include patch from Peter Green (Closes: #625308). 
  * Include patch from Andreas Moog (Closes: #618068).
  * Bump standards-version to 3.9.2
  * Remove build-dep on quilt.
  
 -- Chris Taylor <ctaylor@debian.org>  Tue, 23 Aug 2011 22:22:20 +0000

audtty (0.1.12-1) unstable; urgency=low

  * New upstream release. 
  * Bump standards-version.
  * Remove patch 01-binutils.

 -- Chris Taylor <ctaylor@debian.org>  Sun, 28 Feb 2010 18:19:07 +0000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: audtty
 Section: sound
-Priority: optional
+Priority: optional 
 Maintainer: Chris Taylor <ctaylor@debian.org> 
 Homepage: http://audtty.alioth.debian.org
 Vcs-Git: git://git.code-monkeys.org/audtty.git
 Vcs-Browser: http://git.code-monkeys.org/cgit.cgi/audtty.git/
-Build-Depends: debhelper (>= 7.0.50~), audacious-dev (>= 2), libncursesw5-dev, 
-		libdbus-1-dev, autoconf, quilt
-Standards-Version: 3.8.3
+Build-Depends: debhelper (>= 9), libaudclient-dev, libncursesw5-dev, 
+		libdbus-1-dev, autoconf
+Standards-Version: 3.9.4
 
 Package: audtty
 Architecture: any

=== debian/watch ===
version=3
http://www.code-monkeys.org/audtty/ audtty-(.*)\.tar\.gz
